# permissions for end users to view stacks.
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  labels:
    app.kubernetes.io/name: clusterrole
    app.kubernetes.io/instance: stack-viewer-role
    app.kubernetes.io/component: rbac
    app.kubernetes.io/created-by: test
    app.kubernetes.io/part-of: test
    app.kubernetes.io/managed-by: kustomize
  name: stack-viewer-role
rules:
- apiGroups:
  - pulumi.rustrial.org
  resources:
  - stacks
  verbs:
  - get
  - list
  - watch
- apiGroups:
  - pulumi.rustrial.org
  resources:
  - stacks/status
  verbs:
  - get
